- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Hi,
I am trying to create Coincident constrain between sketch block insertion point and grounded/projected point
I have tried with the below code:
TransientGeometry tg = invApp.TransientGeometry;
PartDocument pd = invApp.ActiveDocument as PartDocument;
PartComponentDefinition pcd = pd.ComponentDefinition;
PlanarSketch sk = pcd.Sketches["Sketch1"];
SketchBlock sb = sk.SketchBlocks[1];
SketchPoint pt = sb.Definition.InsertionPoint;
SketchEntity cpt = sk.AddByProjectingEntity(pcd.WorkPoints[1]);
sk.GeometricConstraints.AddCoincident((SketchEntity)pt, cpt);
Solved! Go to Solution.